Bug 167309 - [GTK] Yelp stops navigating after around two clicks with webkitgtk+ 2.15.3
Summary: [GTK] Yelp stops navigating after around two clicks with webkitgtk+ 2.15.3
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Blocker
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-23 08:56 PST by Hussam Al-Tayeb
Modified: 2017-02-22 06:11 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2017-01-23 08:56:39 PST
yelp trace
#0  0x00007f163c04312d in poll () at /usr/lib/libc.so.6
#1  0x00007f163c5696d6 in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x1c5d630, timeout=<optimized out>, context=0x1c667e0) at gmain.c:4228
        poll_func = 0x7f163c579520 <g_poll>
        max_priority = 2147483647
        timeout = 7141
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = 3
        fds = 0x1c5d630
#2  0x00007f163c5696d6 in g_main_context_iterate (context=context@entry=0x1c667e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3924
        max_priority = 2147483647
        timeout = 7141
        some_ready = <optimized out>
        nfds = 3
        allocated_nfds = 3
        fds = 0x1c5d630
#3  0x00007f163c5697ec in g_main_context_iteration (context=context@entry=0x1c667e0, may_block=may_block@entry=1) at gmain.c:3990
        retval = <optimized out>
#4  0x00007f163cb2b29d in g_application_run (application=0x1c63120 [YelpApplicat---Type <return> to continue, or q <return> to quit---
ion], argc=1, argv=0x7ffd01ca8f68) at gapplication.c:2381
        arguments = 0x1c5d630
        status = 0
        context = 0x1c667e0
        acquired_context = <optimized out>
        __func__ = "g_application_run"
#5  0x00007f163bf84291 in __libc_start_main () at /usr/lib/libc.so.6
#6  0x0000000000405a5a in _start ()

webkitwebprocess (sorry for lack of debug symbols. debug webkit doesn't like evolution)

(gdb) bt full
#0  0x00007fb5f5ff012d in poll () at /usr/lib/libc.so.6
#1  0x00007fb5f3e736d6 in g_main_context_poll (priority=<optimized out>, n_fds=4, fds=0x1dffa30, timeout=<optimized out>, context=0x1d6ba70) at gmain.c:4228
        poll_func = 0x7fb5f3e83520 <g_poll>
        max_priority = 2147483647
        timeout = 100
        some_ready = <optimized out>
        nfds = 4
        allocated_nfds = 4
        fds = 0x1dffa30
#2  0x00007fb5f3e736d6 in g_main_context_iterate (context=0x1d6ba70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3924
        max_priority = 2147483647
        timeout = 100
        some_ready = <optimized out>
        nfds = 4
        allocated_nfds = 4
        fds = 0x1dffa30
#3  0x00007fb5f3e73a62 in g_main_loop_run (loop=0x1df0e30) at gmain.c:4125
        __func__ = "g_main_loop_run"
#4  0x00007fb5f3a18db0 in WTF::RunLoop::run() ()
    at /usr/lib/libjavascriptcoregtk-4.0.so.18
#5  0x00007fb5f6b6428a in  () at /usr/lib/libwebkit2gtk-4.0.so.37
---Type <return> to continue, or q <return> to quit---
#6  0x00007fb5f5f31291 in __libc_start_main () at /usr/lib/libc.so.6
#7  0x000000000040075a in _start ()
Comment 1 Hussam Al-Tayeb 2017-02-01 07:27:55 PST
Same issue in 2.15.4
In addition, yelp shows a page saying:
"Unknown Error
Load request cancelled"
when it breaks.
Comment 2 Carlos Garcia Campos 2017-02-07 04:35:19 PST
I could reproduce this for a while, but not anymore :-(
Comment 3 Hussam Al-Tayeb 2017-02-07 04:44:49 PST
(In reply to comment #2)
> I could reproduce this for a while, but not anymore :-(

Did you perhaps update to a post 2.15.4 snapshot and it started working again?
Comment 4 Carlos Garcia Campos 2017-02-07 04:54:53 PST
(In reply to comment #3)
> (In reply to comment #2)
> > I could reproduce this for a while, but not anymore :-(
> 
> Did you perhaps update to a post 2.15.4 snapshot and it started working
> again?

Using current trunk all the time
Comment 5 Jeremy Bicha 2017-02-08 05:13:20 PST
I can duplicate this bug pretty easily with webkit2gtk 2.15.4-1ubuntu2 (that adds the CodeBlocks.h patch from 167785 and the yelp video patch from https://bugs.webkit.org/show_bug.cgi?id=167309 ) on Ubuntu GNOME 17.04 Alpha.

To duplicate, click several different links in the Getting Started section of the default GNOME 3.22 help (which has embedded videos). I wasn't able to duplicate by repeatedly clicking links in the other parts of the default GNOME help.
Comment 6 Michael Catanzaro 2017-02-13 10:42:13 PST
I tried to reproduce this today but failed. Carlos, I agree your recent custom protocol fixes are likely suspects. Hussam, Jeremy, we're going to release 2.15.90 later this week; please check it to see if you can reproduce there.
Comment 7 Michael Catanzaro 2017-02-21 07:08:49 PST
Hussam says this is fixed in 2.15.90, so I'll close this now. Please reopen if you can reproduce with 2.15.90.
Comment 8 Jeremy Bicha 2017-02-22 06:11:44 PST
Yes, 2.15.90 is working a lot better here. Thanks!